#ifndef __Adv_Player_H
#define __Adv_Player_H

#include "aconst.h"

typedef struct player_
{
	char Name[16];
	unsigned char CurRoom;
	unsigned char ExitRoom;
	unsigned char Inv[8];
	//unsigned short Money;
	unsigned short Score;
	/*unsigned short LettersRead;
	unsigned short PortalsOpen;*/
	unsigned char Tasks[4];
	unsigned char PhoneState [NumPhones];
	unsigned char RoomInv [NumRooms][8];
	unsigned char RoomInvState [NumRooms][8];
	unsigned char RoomState [NumRooms];
};
extern struct player_ Player;
extern short Num;

/********************************************************************/
/* Task defines, return whether task is done.                       */

/*Call from Talnon at start of game answered*/
#define taskTalnonAnswered1	(Player.Tasks[0]&1)
/*Ransom letter at Talnon's read*/
#define taskRansomRead		(Player.Tasks[0]&2)
/*Search supplies bought*/
#define taskScannersBought	(Player.Tasks[0]&4)
/*Portal to Malin open*/
#define taskPortalToMalinOpen	(Player.Tasks[0]&8)
void InitPlayer (void);

unsigned char __fastcall__ GetInput (char* In, unsigned char InLen);


#endif

