#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <conio.h>
#include <errno.h>

#ifdef __USEFARMEM__
#ifdef __C64__
#include "c64hide.h"
#elif defined __C128__
#include "membank128.h"
#elif defined __ATARIXL__
#include "memxatari.h"
#endif
#endif

#ifdef __CBM__
#include "simpleio.h"
#elif defined __ATARIXL__
#include "atasimpleio.h"
#endif

#include "aconst.h"
#include "rooms.h"
#include "words.h"
#include "player.h"
#include "stores.h"
//#pragma local-strings (on)

#ifdef __USEFARMEM__
#ifdef __C64__
#pragma rodata-name (push, "HIDECONST")
#pragma data-name (push, "HIDEDATA")
#elif defined __C128__
#pragma rodata-name (push, "B1RODATA")
#pragma data-name (push, "B1DATA")
#elif defined __ATARIXL__
#pragma rodata-name (push, "AUXRO")
#pragma data-name (push, "AUXDATA")
#endif
#endif

#ifdef __C64__
#pragma code-name (push, "BAS2CODE")
#elif defined __C128__
#pragma code-name (push, "APPCONST")
#elif defined __ATARI__
#pragma code-name (push, "MBUFCODE")
#elif defined __PLUS4__
#pragma code-name (push, "BASICODE")
#else
#pragma code-name (push, "CODE")
#endif

//Empty function for rooms with no special handling code.
void rcNullRoom (void)
{ return;}
#pragma code-name (pop)


const struct room Room [] = {
		/*0        1         2         3
		 *123456789012345678901234567890123456789*/
{
/* Room 0 */
	"Room 1",
		"Description of Room 1.\n",
	&rcNullRoom,
	{
		0, //North
		-1, //South
		-1, //East
		-1  //West
	},
	//raExitRoom
	0
}
};
#ifdef __USEFARMEM__
#pragma rodata-name (pop)
#pragma data-name (pop)
#endif
//#pragma rodataseg ("HIDECONST")
const unsigned char DefRoomItems [NumRooms][8]=
{
	{iKey, -1}	//enums of items in each room, up to eight, followed by -1.
			//If eight items are in a room, don't follow with -1.
};

//Names of directions.
const char RoomDir [4][6] = {
	"north",
	"south",
	"east",
	"west"
};


#ifdef __USEFARMEM__
#if defined __C128__
#pragma rodata-name ("B1RODATA")
#pragma data-name ("B1DATA")
#elif defined __C64__
#pragma rodata-name ("HIDECONST")
#pragma data-name ("HIDEDATA")
#elif defined __ATARIXL__
#pragma rodata-name ("AUXRO")
#pragma data-name ("AUXDATA")
#endif
#endif
